<div>
    <div class="flex flex-col items-center min-h-screen pt-6 bg-white sm:justify-center sm:pt-0">
        <div class="w-full px-16 py-20 mt-2 overflow-hidden bg-white rounded-lg lg:max-w-4xl">
            <div class="w-full px-6 py-4" *ngIf="!loading">
                <div>
                    <h2 class="text-2xl font-semibold">{{ title }}</h2>
                    <h3 [innerHTML]="solutionResponse"></h3>
                </div>
            </div>
            <div class="w-full px-6 py-4" *ngIf="loading">
                <mat-spinner></mat-spinner>
            </div>
        </div>
    </div>
</div>
